Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002723KdenliveEffectspublic2012-09-05 21:002013-01-28 19:50
ReporterSesse 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSUbuntuOS Version10.04
Product VersionRecent git 
Target VersionFixed in Version0.9.4 
Summary0002723: White balance dropper uses wrong source
DescriptionHi,

The dropper in the white balance tool (to select a neutral color) is extremely useful, but it also unfortunately broken; it seemingly looks at what's on screen, not what's in the video.

This means that if you pick a neutral color, are unhappy about the result, and then pick a second time, you will now pick up a completely different color. Even if you pick the exact same spot twice, you will get completely different results.

The tool should, at the very least, be able to remove itself from the filter chain before dropping.
Steps To Reproduce1. Import a clip with constant, non-gray color.
2. Add the white balance (balanc0r) effect.
3. Use the dropper to select any spot in the picture. Observe that the picture is now nearly gray, as it should be.
4. Use the dropper again, select any spot in the picture. Observe that the dropper now has picked up a near-gray color, and thus the color cast is back.
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0008361)
j-b-m (administrator)
2012-09-19 23:07

When using the color picker from the effect stack, the effect is now disabled, and enabled again once a color is picked.

- Issue History
Date Modified Username Field Change
2012-09-05 21:00 Sesse New Issue
2012-09-19 23:07 j-b-m Note Added: 0008361
2012-09-19 23:07 j-b-m Status new => resolved
2012-09-19 23:07 j-b-m Fixed in Version => Recent git
2012-09-19 23:07 j-b-m Resolution open => fixed
2012-09-19 23:07 j-b-m Assigned To => j-b-m
2013-01-28 19:50 j-b-m Fixed in Version Recent git => 0.9.4
2013-01-28 19:50 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker